| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_GPDMA_001_T Struct Reference
IP: GPDMA register block and driver

## Detailed Description

GPDMA register block.

Definition at line 65 of file gpdma_001.h.

`#include "gpdma_001.h"`

## Data Fields
__I uint32_t | INTSTAT
__I uint32_t | INTTCSTAT
__O uint32_t | INTTCCLEAR
__I uint32_t | INTERRSTAT
__O uint32_t | INTERRCLR
__I uint32_t | RAWINTTCSTAT
__I uint32_t | RAWINTERRSTAT
__I uint32_t | ENBLDCHNS
__IO uint32_t | SOFTBREQ
__IO uint32_t | SOFTSREQ
__IO uint32_t | SOFTLBREQ
__IO uint32_t | SOFTLSREQ
__IO uint32_t | CONFIG
__IO uint32_t | SYNC
__I uint32_t | RESERVED0 [50]
IP_GPDMA_001_CH_T | CH [GPDMA_CHANNELS]

## Field Documentation

IP_GPDMA_001_CH_T CH[GPDMA_CHANNELS]

Definition at line 81 of file gpdma_001.h.

__IO uint32_t CONFIG

DMA Configuration Register

Definition at line 78 of file gpdma_001.h.

__I uint32_t ENBLDCHNS

DMA Enabled Channel Register

Definition at line 73 of file gpdma_001.h.

__O uint32_t INTERRCLR

DMA Interrupt Error Clear Register

Definition at line 70 of file gpdma_001.h.

__I uint32_t INTERRSTAT

DMA Interrupt Error Status Register

Definition at line 69 of file gpdma_001.h.

__I uint32_t INTSTAT

< GPDMA Structure DMA Interrupt Status Register

Definition at line 66 of file gpdma_001.h.

__O uint32_t INTTCCLEAR

DMA Interrupt Terminal Count Request Clear Register

Definition at line 68 of file gpdma_001.h.

__I uint32_t INTTCSTAT

DMA Interrupt Terminal Count Request Status Register

Definition at line 67 of file gpdma_001.h.

__I uint32_t RAWINTERRSTAT

DMA Raw Error Interrupt Status Register

Definition at line 72 of file gpdma_001.h.

__I uint32_t RAWINTTCSTAT

DMA Raw Interrupt Terminal Count Status Register

Definition at line 71 of file gpdma_001.h.

__I uint32_t RESERVED0[50]

Definition at line 80 of file gpdma_001.h.

__IO uint32_t SOFTBREQ

DMA Software Burst Request Register

Definition at line 74 of file gpdma_001.h.

__IO uint32_t SOFTLBREQ

DMA Software Last Burst Request Register

Definition at line 76 of file gpdma_001.h.

__IO uint32_t SOFTLSREQ

DMA Software Last Single Request Register

Definition at line 77 of file gpdma_001.h.

__IO uint32_t SOFTSREQ

DMA Software Single Request Register

Definition at line 75 of file gpdma_001.h.

__IO uint32_t SYNC

DMA Synchronization Register

Definition at line 79 of file gpdma_001.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/gpdma_001.h